import React, {Component} from 'react'
import { ConfigProvider } from 'antd'
import zhCN from 'antd/es/locale/zh_CN'

import asyncComponent from '@/utils/asyncComponent'
import Header from './header'
import Sidemenu from './sidemenu'

// import './index.scss'

const Tabview = asyncComponent(() => import('@/components/tabview'))

class Design extends Component {
  UNSAFE_componentWillMount() {
    document.body.className = 'mk-blue-black'
    sessionStorage.setItem('isEditState', 'true')
    window.GLOB.mkHS = true

    // HS下不可开启断点调试
    window.GLOB.breakpoint = false
    sessionStorage.removeItem('breakpoint')

    Object.defineProperty(window, 'debugger', {
      writable: false,
      value: false
    })
  }
  
  render () {
    return (
      <div className="mk-main-view">
        <ConfigProvider locale={zhCN}>
          <Sidemenu key="sidemenu"/>
          <Tabview key="tabview"/>
          <Header key="header"/>
        </ConfigProvider>
      </div>
    )
  }
}

export default Design